html, body{
    font-size: 16px;
     font-size: 15px;
    font-weight: bold;
    font-style: italic;
    min-height: 100%;
height: 100%; 
     direction: ltr;

}
 
.navbar .navbar-nav .nav-link {
    color: #353a50;
    font-size: 14px;
       font-family: "Noto Naskh Arabic", serif;
    font-style: normal;
    line-height: 2;
    text-align: left;
    padding: 1px 10px;
    background-color: #d9d9d9;
    border-radius: 5px;
 }
 
.maincontainer {
    float: left;
    margin: 0;
    position: relative;
    padding: 20px 15px;
    transition: all .3s ease-in-out;
    width: 100% !important;
    min-height: 100%;
    top: 65px;
    border: 6px solid;
    background-color: #f5f4f0; 
    background-repeat: no-repeat;
    background-size: cover;
    background-blend-mode: normal;
    background-position: bottom 5px left 0;
    z-index: 1;
}
 
  
.maincontainerlog{
    color: #000;
    border: 1px solid #ff6a00;
    font-style: italic;
    font-weight: bold;
    display: block;
    padding: 24px;
    font-family: "Roboto", sans-serif; 
    margin: 0;
}

.maincontainerlogz{
    color: #000;
    padding: 24px;
    margin: 0;
     position: relative;
    transition: all .3s ease-in-out;
 
    height: 100%;
}
 

.tableformz{ 
padding: 10px;
    background-color: #05060b;
    box-shadow: 6px 9px 0px 0px rgb(163 163 163);
    border-radius: 5px;
    margin-bottom: 22px;
    zoom: .96;
}


.row{
    margin-right: 0;
    margin-left: 0;   
 }



.full-maincontainer{
     width: 100%!important;
}  
 
.h1r{ 
    text-align: left;
}


.h1r  > h1{
	display: inline-block;
    color: #ffffff;
    padding: 4px 44px 4px 37px;
    font-family: "Roboto", sans-serif; 
    font-weight: 600;
    font-style: normal;
    font-size: 20px;
    line-height: 2;
    background-color: #0c1317;
    border-radius: 0 69px 69px 0;
    box-shadow: 4px 4px 0px 0px rgb(239 81 31);
    margin-bottom: 20px;
}
 .panel{ 
background-color: #fff;
    text-align: left;
    direction: ltr;
    margin-bottom: 31px;
    box-shadow: 0 0 3px 0px rgb(10 22 35);
    border-bottom-right-radius: 31px;
    border-bottom-left-radius: 31px;
    border-bottom: 4px solid #1b3a5b;
    
}
 

 
/* forms */
.form-control{
position: relative;
    height: 30px;
font-family: "Roboto", sans-serif; 
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    padding: 5px 10px !important;
    color: #102942 !important;
    max-width: 100% !important;
    direction: ltr;
    border: 1px solid #676767;
    border-radius: 5px !important;
    text-align: left;
}


.form-group  label{
    color: #212529;
    font-size: 14px;
    word-spacing: 0;
    font-family: "Roboto", sans-serif; 
    font-weight: 600;
    font-style: normal;
    padding: 15px 10px;
	text-align: left;
 display: inline-flex; /* Use flexbox */
    align-items: center; /* Center content vertically */
     column-gap: 8px; /* Space between icon and text */
 }

 
 
.btndanger{
    position: relative;
    font-family: "Roboto", sans-serif; 
    font-weight: bold;
    font-size: 14px;
    padding: 2px 8px;
    vertical-align: middle;
    border-radius: 9px;
}
  
.addbutoons {
    display: inline-flex; /* better for buttons or links */
    align-items: center;  /* vertically center icon + text */
    justify-content: center; /* horizontally center text */
    gap: 8px; /* space between icon and text */
        font-style: normal;
    color: #fff;
    font-size: 15px;
    font-weight: 400;
    font-family: "Roboto", sans-serif;
    line-height: 1.8;

    padding: 6px 20px;
    border-radius: 30px;
    margin: 10px 0;
    background-color: #232323;
    border: 1px solid #ffffff;
    text-decoration: none; /* remove underline if it's a link */
    text-align: center;
}



.panel-primary > .panel-heading{
color: #fff;
    background-color: #070d17;
    border-color: #070d17;
    line-height: 2;
    padding: 4px 9px;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.5px;
    font-family: "Roboto", sans-serif;
    font-style: normal;
    box-shadow: 0 0 3px 1px rgb(10 22 35);
    display: inline-flex;
    align-items: center;
    column-gap: 10px;
    width: 100%;
}

.main-table{
     -webskit-box-shadow: 0px 2px 4px black;
    -moz-box-shadow: 0px 2px 4px black;
    margin-top: 10px;
    direction: ltr;
    box-shadow: 0 0 3px 0px rgb(255 255 255);
}
 

  
.uploadbtn {
position: relative;
    top:  -42px;
    z-index: 1;
    background-color: #419941;
     border: 1px solid #419941;
	color: #fff;
    width: 100%;
    text-align: center;
    padding: 8px 0;
    vertical-align: middle;
    font-size: 15px;
    border-radius: 9px;
    font-style: normal;
    font-family: "Noto Naskh Arabic", serif;
}

 .inputimgs1:hover ~ .uploadbtn, .inputimgs1:focus ~ .uploadbtn, .inputimgs1:active ~ .uploadbtn{
    color: #fff;
    background-color:  #146c43;
    box-shadow:none;
    border: 1px solid #146c43;
 }


#visitsday { 
    direction: ltr;
}



.tbody tr td{
    font-weight: 600;
    color: #212529;
    background: #fff !important;
    vertical-align: middle !important;
    padding: 10px;
    direction: rtl;
    margin: 0;
    font-style: normal;
    font-size: 15px;
    text-align: center;
    border: 2px solid #c7c7c7;
    WIDTH: 10%;
	    font-family: "Roboto", sans-serif; 
	    text-transform: lowercase;
}
.thead tr th{
      font-family: "Roboto", sans-serif; 
    padding: 3px 4px;
    direction: rtl;
    margin: 0;
    font-style: normal;
    color: #fafaff;
    font-weight: 400;
    background-color:  #0c1317;
    font-size: 15px;
    letter-spacing: 0.3px;
    line-height: 2;
    border-radius: 2px;
 
}


.pagination {
    display: inline-flex;
     direction: ltr;
    padding: 3px 15px;
    margin: 16px 0;
    text-align: center; 
    border-radius: 5px;
}
.pg-normal {
    position: relative;
    padding: 10px;
    color: #ffffff;
    text-decoration: none;
    background-color: #05060b; 
    line-height: 1.2;
    border: 1px solid #fff;
    font-style: normal;
 }



.pg-selected, .pagination> button {
position: relative;
    float: left;
    padding: 6px;
    color: #ffffff;
    text-decoration: none;
    background-color: #05060b;
    font-size: 15px;
    font-family: "Noto Naskh Arabic", serif;
     font-style: normal;
    line-height: 1;
    word-spacing: 0;
    letter-spacing: 0;  
    border: 1px solid #fff;
}


.pg-selected, .pagination>button:focus, .pagination>button:hover {
    text-decoration: none;
    background-color: #f05023;
    color: #fff; 
    cursor: pointer;
}
.pg-selected{
  
    padding: 12px 12px;
}
.pg-normal:hover{
    cursor: pointer;
     background-color: #f05023; 
}